# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="5"

AUTOTOOLS_AUTORECONF=1

inherit autotools-multilib eutils

DESCRIPTION="The Battle.net client library"
HOMEPAGE="http://code.google.com/p/bncsutil"
SRC_URI="http://people.znc.in/~dessa/ghost/deps/${P}.tar.xz"

RESTRICT="mirror"

LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="static-libs"

DEPEND="dev-libs/gmp[static-libs?,${MULTILIB_USEDEP}]"
RDEPEND="${DEPEND}"

PATCHES=(
	"${FILESDIR}/${PN}-werror.patch"
	"${FILESDIR}/${PN}-ghost.patch"
)
