# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

DESCRIPTION="Shell scripts to manage POSIX accounts in an LDAP."
HOMEPAGE="http://contribs.martymac.org/"
SRC_URI="http://contribs.martymac.org/${PN}/${P}.tgz"

RESTRICT="mirror"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="net-nds/openldap
	app-arch/sharutils"

src_compile() {
	emake DESTDIR="${EROOT}" PREFIX="${EROOT}usr" LIBDIR="${EROOT}var/lib/${PN}" MANDIR="${EROOT}usr/share/man" ETCDIR="${EROOT}etc/${PN}" configure
}

src_install() {
	emake DESTDIR="${ED}" PREFIX="${EROOT}usr" LIBDIR="${EROOT}var/lib/${PN}" MANDIR="${EROOT}usr/share/man" ETCDIR="${EROOT}etc/${PN}" install
	dodoc CHANGELOG README TODO VERSION
}
