# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

FCVERSION="1.fc23"
MY_P="${P}-${FCVERSION}"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd"
SRC_URI="http://people.znc.in/~dessa/gentoo/${MY_P}.tar.xz"

DESCRIPTION="Open Source implementation of a 16-bit x86 BIOS"
HOMEPAGE="http://www.seabios.org"

LICENSE="LGPL-3 GPL-3"
SLOT="0"
IUSE=""

DEPEND=""
RDEPEND="!sys-firmware/vgabios"

S=${WORKDIR}/${MY_P}

src_install() {
	insinto /usr/share/seabios
	doins *.bin
	doins *.aml
}
